## kodi-game-libretro 20.2.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(game.libretro)

list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

find_package(Kodi REQUIRED)
find_package(LibretroCommon REQUIRED)
find_package(TinyXML REQUIRED)
find_package(Rcheevos REQUIRED)

include_directories(${KODI_INCLUDE_DIR}
                    ${PROJECT_SOURCE_DIR}/src
                    ${LIBRETRO_COMMON_INCLUDE_DIRS}
                    ${TINYXML_INCLUDE_DIRS}
                    ${RCHEEVOS_INCLUDE_DIRS})

list(APPEND DEPLIBS ${TINYXML_LIBRARIES})
list(APPEND DEPLIBS ${RCHEEVOS_LIBRARIES})

if(WIN32)
  find_package(dlfcn-win32 REQUIRED)
  list(APPEND DEPLIBS ${dlfcn-win32_LIBRARIES})
  include_directories(${dlfcn-win32_INCLUDE_DIRS})
endif()

set(LIBRETRO_SOURCES src/client.cpp
                     src/audio/AudioStream.cpp
                     src/audio/SingleFrameAudio.cpp
                     src/cheevos/Cheevos.cpp
                     src/cheevos/CheevosEnvironment.cpp
                     src/cheevos/CheevosFrontendBridge.cpp
                     src/GameInfoLoader.cpp
                     src/input/ButtonMapper.cpp
                     src/input/ControllerLayout.cpp
                     src/input/ControllerTopology.cpp
                     src/input/DefaultControllerTranslator.cpp
                     src/input/DefaultKeyboardTranslator.cpp
                     src/input/InputManager.cpp
                     src/input/InputTranslator.cpp
                     src/input/LibretroDevice.cpp
                     src/input/LibretroDeviceInput.cpp
                     src/libretro/ClientBridge.cpp
                     src/libretro/FrontendBridge.cpp
                     src/libretro/LibretroDLL.cpp
                     src/libretro/LibretroEnvironment.cpp
                     src/libretro/LibretroResources.cpp
                     src/libretro/LibretroTranslator.cpp
                     src/libretro/MemoryMap.cpp
                     src/log/Log.cpp
                     src/log/LogAddon.cpp
                     src/log/LogConsole.cpp
                     src/settings/LanguageGenerator.cpp
                     src/settings/LibretroSetting.cpp
                     src/settings/LibretroSettings.cpp
                     src/settings/Settings.cpp
                     src/settings/SettingsGenerator.cpp
                     src/utils/Timer.cpp
                     src/video/VideoGeometry.cpp
                     src/video/VideoStream.cpp)

set(LIBRETRO_HEADERS src/GameInfoLoader.h
                     src/audio/AudioStream.h
                     src/audio/SingleFrameAudio.h
                     src/input/ButtonMapper.h
                     src/cheevos/Cheevos.h
                     src/input/ControllerLayout.h
                     src/input/ControllerTopology.h
                     src/input/DefaultControllerDefines.h
                     src/input/DefaultControllerTranslator.h
                     src/input/DefaultKeyboardDefines.h
                     src/input/DefaultKeyboardTranslator.h
                     src/input/InputDefinitions.h
                     src/input/InputManager.h
                     src/input/InputTranslator.h
                     src/input/InputTypes.h
                     src/input/LibretroDevice.h
                     src/input/LibretroDeviceInput.h
                     src/libretro/ClientBridge.h
                     src/libretro/FrontendBridge.h
                     src/libretro/LibretroDefines.h
                     src/libretro/LibretroDLL.h
                     src/libretro/LibretroEnvironment.h
                     src/libretro/LibretroResources.h
                     src/libretro/LibretroTranslator.h
                     src/libretro/MemoryMap.h
                     src/log/ILog.h
                     src/log/LogAddon.h
                     src/log/LogConsole.h
                     src/log/Log.h
                     src/settings/LanguageGenerator.h
                     src/settings/LibretroSetting.h
                     src/settings/LibretroSettings.h
                     src/settings/SettingsGenerator.h
                     src/settings/Settings.h
                     src/settings/SettingsTypes.h
                     src/utils/Timer.h
                     src/video/VideoGeometry.h
                     src/video/VideoStream.h)

build_addon(${PROJECT_NAME} LIBRETRO DEPLIBS)

if(ENABLE_INTERNAL_LIBRETROCOMMON)
  add_dependencies(${PROJECT_NAME} libretro-common)
endif()
if(ENABLE_INTERNAL_RCHEEVOS)
  add_dependencies(${PROJECT_NAME} rcheevos)
endif()

include(CPack)

=== debian/changelog ===
kodi-game-libretro (20.2.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.2
  * Switch to librcheevos-dev instead of private copy

 -- Jonathan McDowell <noodles@earth.li>  Tue, 07 Feb 2023 22:33:00 +0000

kodi-game-libretro (20.2.2-1) unstable; urgency=medium

  * New upstream release
    * Update rcheevos includes patch
    * Fix up CMake includes for retroarch/rcheevos
  * Drop unnecessary override_dh_installdocs from debian/rules
  * Add debian/copyright entry for rcheevos

 -- Jonathan McDowell <noodles@earth.li>  Fri, 27 Jan 2023 09:47:41 +0000

kodi-game-libretro (20.2.0-2) unstable; urgency=medium

  * Add Vcs pointers to salsa in debian/control
  * Switch to retroarch-dev instead of private copy
  * Use kodi-addons-dev dh plugin to provide deps
  * Add upstream Homepage link to debian/control
  * Add debian/watch to track upstream releases
  * Add an initial gbp.conf setting Debian branch to main
  * Acknowledge Lars Op den Kamp copyright for src/log/

 -- Jonathan McDowell <noodles@earth.li>  Sat, 21 Jan 2023 14:21:41 +0000

kodi-game-libretro (20.2.0-1) unstable; urgency=medium

  * Initial upload (Closes: #1027903)

 -- Jonathan McDowell <noodles@earth.li>  Fri, 06 Jan 2023 19:27:21 +0000

=== debian/control ===
Source: kodi-game-libretro
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Jonathan McDowell <noodles@earth.li>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
	dh-sequence-kodiaddon,
	librcheevos-dev,
	libtinyxml-dev,
	retroarch-dev
Standards-Version: 4.6.2
Section: libs
Homepage: https://github.com/kodi-game/game.libretro
Vcs-Browser: https://salsa.debian.org/games-team/libretro/kodi-game-libretro
Vcs-Git: https://salsa.debian.org/games-team/libretro/kodi-game-libretro.git

Package: kodi-game-libretro
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
	${misc:Depends},
	${kodi:FILESYSTEMAPI},
	${kodi:GAMEAPI},
	${kodi:GENERALAPI},
	${kodi:MAINAPI}
Description: Libretro wrapper for Kodi's Game API
 This add-on provides a wrapper that allows Libretro cores to be loaded
 as game add-ons. Libretro cores are shared libraries that use the
 Libretro API, so the wrapper is responsible for translating function
 calls between the Libretro API and the Game API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DBUILD_SHARED_LIBS=1 \
		-DRCHEEVOS_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/rcheevoslib.a \
		-DUSE_LTO=1

=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/[vV]?(\d\S+)-\S+\.tar\.gz/kodi-game-libretro-$1\.tar\.gz/" \
https://github.com/kodi-game/game.libretro/tags .*/(\d[^\s+-]+)-\S+\.tar\.gz

## kodi-game-libretro 20.2.4

=== depends/common/rcheevos/CMakeLists.txt ===
project(rcheevos)

cmake_minimum_required(VERSION 3.0)

# Disable Lua for now
add_definitions(-DRC_DISABLE_LUA)

include_directories(
  include
)

add_library(${PROJECT_NAME}lib
  src/rcheevos/alloc.c
  src/rcheevos/compat.c
  src/rcheevos/condition.c
  src/rcheevos/condset.c
  src/rcheevos/consoleinfo.c
  src/rcheevos/format.c
  src/rcheevos/lboard.c
  src/rcheevos/memref.c
  src/rcheevos/operand.c
  src/rcheevos/richpresence.c
  src/rcheevos/runtime.c
  src/rcheevos/runtime_progress.c
  src/rcheevos/trigger.c
  src/rcheevos/value.c
  src/rhash/cdreader.c
  src/rhash/hash.c
  src/rhash/md5.c
  src/rurl/url.c
)

#add_dependencies(rcheevos
#  lua # TODO
#)

#target_link_libraries(rcheevos
#  lua
#)

install(TARGETS
  ${PROJECT_NAME}lib
  ARCHIVE DESTINATION
    lib
  DESTINATION
    lib
)

install(
  FILES
    include/rcheevos.h
    include/rconsoles.h
    include/rhash.h
    include/rurl.h
  DESTINATION
    include/${PROJECT_NAME}
)

#install(
#  DIRECTORY
#    include
#  DESTINATION
#    include
#)

=== debian/changelog ===
kodi-game-libretro (20.2.4-2build2) oracular; urgency=medium

  * No-change rebuild to get publishable set of binaries

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 May 2024 09:46:04 +0000

kodi-game-libretro (20.2.4-2build1) noble; urgency=high

  * No change rebuild against frame pointers and time_t.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 22 Apr 2024 16:51:39 +0200

kodi-game-libretro (20.2.4-2) unstable; urgency=medium

  [Sébastien Noel]
  * Add libretro-frontend provides (Closes: #1051321)

 -- Jonathan McDowell <noodles@earth.li>  Sat, 30 Sep 2023 09:44:23 +0000

kodi-game-libretro (20.2.4-1) unstable; urgency=medium

  * New upstream release
  * Update debian/gbp.conf for upstream Nexus branch version tags

 -- Jonathan McDowell <noodles@earth.li>  Fri, 14 Jul 2023 10:03:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: kodi-game-libretro
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
@@ -23,6 +24,7 @@
 	${kodi:GAMEAPI},
 	${kodi:GENERALAPI},
 	${kodi:MAINAPI}
+Provides: libretro-frontend
 Description: Libretro wrapper for Kodi's Game API
  This add-on provides a wrapper that allows Libretro cores to be loaded
  as game add-ons. Libretro cores are shared libraries that use the

## kodi-game-libretro 20.2.7

=== debian/changelog ===
kodi-game-libretro (20.2.7-1build2) oracular; urgency=medium

  * Rebuild against new gcc-14.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2024 15:38:44 +0200

kodi-game-libretro (20.2.7-1build1) oracular; urgency=medium

  * Rebuild against new gcc-14.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Aug 2024 15:28:41 +0200

kodi-game-libretro (20.2.7-1) unstable; urgency=medium

  * New upstream release

 -- Jonathan McDowell <noodles@earth.li>  Fri, 19 Jul 2024 18:50:39 +0100

## kodi-game-libretro 21.0.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,7 @@
 find_package(Rcheevos REQUIRED)
 
 include_directories(${KODI_INCLUDE_DIR}
+                    ${KODI_INCLUDE_DIR}/..
                     ${PROJECT_SOURCE_DIR}/src
                     ${LIBRETRO_COMMON_INCLUDE_DIRS}
                     ${TINYXML_INCLUDE_DIRS}

=== depends/common/libretro-common/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)
project(libretro-common)

INSTALL(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

=== debian/changelog ===
kodi-game-libretro (21.0.7-1) unstable; urgency=medium

  * New upstream release
    * Switch to Omega branch for Kodi 21
  * Bump Standards-Version to 4.7.0 (no changes)

 -- Jonathan McDowell <noodles@earth.li>  Sun, 22 Dec 2024 11:52:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: kodi-game-libretro
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Arch: cmake,
@@ -9,7 +8,7 @@
 	librcheevos-dev,
 	libtinyxml-dev,
 	retroarch-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/kodi-game/game.libretro
 Vcs-Browser: https://salsa.debian.org/games-team/libretro/kodi-game-libretro

## kodi-game-libretro 21.0.10

=== depends/common/libretro-common/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0...4.0)
project(libretro-common)

INSTALL(
  DIRECTORY include/
  DESTINATION include/${PROJECT_NAME}
)

=== depends/common/rcheevos/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 project(rcheevos)
 
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.0...4.0)
 
 # Disable Lua for now
 add_definitions(-DRC_DISABLE_LUA)

=== depends/common/tinyxml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5...4.0)
project(tinyxml)

set(SOURCES src/tinystr.cpp
            src/tinyxml.cpp
            src/tinyxmlerror.cpp
            src/tinyxmlparser.cpp)

if(WIN32)
  add_definitions(-DWIN32 -D_LIB)
endif()
add_definitions(-DTIXML_USE_STL)

add_library(tinyxml ${SOURCES})

include_directories(${PROJECT_SOURCE_DIR}/include)

set(HEADERS ${PROJECT_SOURCE_DIR}/include/tinystr.h
            ${PROJECT_SOURCE_DIR}/include/tinyxml.h)

install(FILES ${HEADERS} DESTINATION ${CMAKE_INSTALL_PREFIX}/include)
install(TARGETS tinyxml DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)

=== debian/changelog ===
kodi-game-libretro (21.0.10-1) unstable; urgency=medium

  [ Jonathan McDowell ]
  * New upstream release

  [ Sébastien Noel ]
  * Fix compilation with rcheevos 12 (Closes: #1126214)

  [ Alexandre Detiste ]
  * Set "Rules-Requires-Root: no"

 -- Jonathan McDowell <noodles@earth.li>  Sun, 01 Mar 2026 12:02:51 +0000

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
 	librcheevos-dev,
 	libtinyxml-dev,
 	retroarch-dev
+Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Section: libs
 Homepage: https://github.com/kodi-game/game.libretro

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo \
		-DBUILD_SHARED_LIBS=1 \
		-DRCHEEVOS_LIBRARY=/usr/lib/$(DEB_HOST_MULTIARCH)/rcheevoslib.a \
		-DUSE_LTO=1
